GNUNET-VPN(1)

NAME
gnunet-vpn - maintain your GNUbone connection

SYNOPSIS
gnunet-vpn [OPTIONS]

DESCRIPTION

gnunet-vpn is a tool to be used together with the GNUnet VPN module. See http://uk.gnunet.org/vpn/ for more information about the VPN module.

USAGE
These are the more interesting commands available in gnunet-vpn. For normal operation you would invoke "reset", and "realise", alternately every hour or so. To give you something to access, you may do "add " so long as you have this node?s hello files in your cache, that can be found in my hosts area. Then try ping6 vpn1.wensley.org.uk, if address unreachable comes back, ping6 that instead. I do have an ftp and gopher server accessible here.

reset
    Clears prototype routing table and start requesting routes from peers to rebuild it

realise
    Realise prototype table into the real routing table, and adds and pulls IPv6 routes to match it. You use this when you think your prototype table is complete. I.e. peers have stopped giving you more routes.

tunnel
    Show tunnels to peers routes Show prototype routing table contents

realised
    Show real routing table contents

add HASH
    Persuade GNUnet to connect to the peer with the given hash.

debug0
    Hide activity output. debug1 Show activity output.

-c FILENAME, --config=FILENAME
    load config file (defaults: ~/.gnunet/gnunet.conf)

-h, --help
    print help page

-L LOGLEVEL, --loglevel=LOGLEVEL
    change the loglevel. Possible values for LOGLEVEL are NOTHING, FATAL, ERROR, FAILURE, WARNING, MESSAGE, INFO, DEBUG, CRON and EVERYTHING.

-s, --silent
    run silently

-v, --version
    print the version number

AUTHOR
Michael John Wensley

FILES

~/.gnunet/gnunet.conf
    GNUnet configuration file

REPORTING BUGS
Report bugs by using mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunet.conf(5), gnunetd(1)